(* :Name: CCDPhotometry`DisplayImage` *)

(* :Title: Various tools for use in the
     reduction of astronomical CCD FITS images *)

(* :Author: Jeff Bryant *)

(* :Context: CCDPhotometry`DisplayImage` *)

(* :Package Version: 1.0 *)

(* :History:
       Originally written by Jeff Bryant in April 2003.
*)

(* :Keywords:	*)

(* :Source:	*)

(* :Summary:
This package contains a function for the display of FITS image data.
*)

(* :Mathematica Version: 5.0 *)

(*****************************************************************************)


BeginPackage["CCDPhotometry`DisplayImage`", "CCDPhotometry`ImageLoad`"]

DisplayImage::usage =
"DisplayImage[imgobj] plots the image data from the specified FITS object."


Begin["`Private`"]

Options[DisplayImage] = Options[ListDensityPlot];
 
DisplayImage[imgobj_FitsObject, opts___] := ListDensityPlot[imgobj[[1, 1, 2]], Mesh -> False, opts];
	 
(*========================================================================*)


 End[ ] (* "CCDPhotometry`DisplayImage`Private` *)

 EndPackage[ ] (* "CCDPhotometry`DisplayImage`" *)
