(* :Name: CCDPhotometry`ImageLoad` *)

(* :Title: Various tools for use in the
     reduction of astronomical CCD FITS images *)

(* :Author: Jeff Bryant *)

(* :Context: CCDPhotometry`ImageLoad` *)

(* :Package Version: 1.0 *)

(* :History:
       Originally written by Jeff Bryant in April 2003.
*)

(* :Keywords:	*)

(* :Source:	*)

(* :Summary:
This package contains a function for importing FITS images.
*)

(* :Mathematica Version: 5.0 *)

(*****************************************************************************)


BeginPackage["CCDPhotometry`ImageLoad`"]

ImageLoad::usage =
"ImageLoad[path] imports the FITS image located at the specified path, complete
with header information."

FitsObject /: MakeBoxes[obj_FitsObject, fmt_] =
    RowBox[{"\[SkeletonIndicator]FITSObject\[SkeletonIndicator]"}];

Begin["`Private`"]
 
ImageLoad[path_String] := FitsObject[Import[path, "FITS", ConversionOptions->{"Verbose" -> True}]];
	 
(*========================================================================*)


 End[ ] (* "CCDPhotometry`ImageLoad`Private` *)

 EndPackage[ ] (* "CCDPhotometry`ImageLoad`" *)
