(* :Name: CCDPhotometry`ImageSave` *)

(* :Title: Various tools for use in the
     reduction of astronomical CCD FITS images *)

(* :Author: Jeff Bryant *)

(* :Context: CCDPhotometry`ImageSave` *)

(* :Package Version: 1.0 *)

(* :History:
       Originally written by Jeff Bryant in April 2003.
*)

(* :Keywords:	*)

(* :Source:	*)

(* :Summary:
This package contains a function for exporting FITS images.
*)

(* :Mathematica Version: 5.0 *)

(*****************************************************************************)


BeginPackage["CCDPhotometry`ImageSave`", "CCDPhotometry`ImageLoad`"]

ImageSave::usage =
"ImageSave[path, imgobj] exports the specified FITS object to the specified path, complete
with header information."


Begin["`Private`"]
 
ImageSave[path_String, imgobj_FitsObject] := Export[path, imgobj[[1]], "FITS", ConversionOptions->{"Verbose" -> True}];
	 
(*========================================================================*)


 End[ ] (* "CCDPhotometry`ImageSave`Private` *)

 EndPackage[ ] (* "CCDPhotometry`ImageSave`" *)
