(* :Title: Master Declarations File for CCDPhotometry *)

(* :Summary:
This file contains declarations of all the major symbols
contained in files in this directory.  When loaded, it sets
up the symbols with attribute Stub, so the correct package
will be loaded when the symbol is called.
*)

(* :Author: This file was created by Jeff Bryant *)

(* :History: File created on 5 April 2003 at 12:35 *)

If[! MemberQ[$Packages, "CCDPhotometry`"],
     System`Private`p = Unprotect[$Packages];
     PrependTo[$Packages, "CCDPhotometry`"];
     Protect @@ System`Private`p
];

(* Declarations for package CCDPhotometry`ImageLoad` *)

DeclarePackage["CCDPhotometry`ImageLoad`",
     {"ImageLoad", "FitsObject"}]

(* Declarations for package CCDPhotometry`ImageSave` *)

DeclarePackage["CCDPhotometry`ImageSave`",
     {"ImageSave"}]

(* Declarations for package CCDPhotometry`DisplayImage` *)

DeclarePackage["CCDPhotometry`DisplayImage`",
     {"DisplayImage"}]


(* Declarations for package CCDPhotometry`Headers` *)

DeclarePackage["CCDPhotometry`Headers`",
     {"Header", "HeaderField", "ImageTime", "ImageRA", "ImageDEC", "DateTimeParsingFunctions", "ParsingFunction"}]


(* Declarations for package CCDPhotometry`Conversions` *)

DeclarePackage["CCDPhotometry`Conversions`",
     {"EarthCoordinates", "SourceCoordinates", "HeliocentricRA", "HeliocentricDEC"}]


(* Declarations for package CCDPhotometry`Dates` *)

DeclarePackage["CCDPhotometry`Dates`",
     {"JulianDate", "ModifiedJulianDate", "HeliocentricCorrectionTime", "HeliocentricJulianDate"}]


(* Declarations for package CCDPhotometry`Photometry` *)

DeclarePackage["CCDPhotometry`Photometry`",
     {"IsolateRegion", "Photometry", "Phase"}]

(* Declarations for package CCDPhotometry`Reduction` *)

DeclarePackage["CCDPhotometry`Reduction`",
     {"AverageFrame", "SubtractFrame", "NormalizeFlat", "FlatField", "RemoveOverscan"}]

(* End of Master package *)

Null

